<?php
/**
 * Customiser section for support
 **/
// Start Support section 
$wp_customize->add_section(
    'lz_fitness_support_section',
    array(
        'title' => __( 'Support Section', 'supermarket-ecommerce' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE SUPPORT SECTION
$wp_customize->add_setting(
    'lz_fitness_support_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_support_section_disable',
        array(
            'settings'      => 'lz_fitness_support_section_disable',
            'section'       => 'lz_fitness_support_section',
            'label'         => __( 'Disable Section', 'supermarket-ecommerce' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'supermarket-ecommerce' ),
                'off' => __( 'No', 'supermarket-ecommerce' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'support', 'lz_fitness_support_section', $color='#f7f5f6', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'supportsection_padding', 'lz_fitness_support_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'support_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0.5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_toppadding',
    array(
        'settings'      => 'support_toppadding',
        'section'       => 'lz_fitness_support_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'support_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_bottompadding',
    array(
        'settings'      => 'support_bottompadding',
        'section'       => 'lz_fitness_support_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'support_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_leftpadding',
    array(
        'settings'      => 'support_leftpadding',
        'section'       => 'lz_fitness_support_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'support_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_rightpadding',
    array(
        'settings'      => 'support_rightpadding',
        'section'       => 'lz_fitness_support_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);



$wp_customize->add_setting('lz_fitness_support_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_support_npp_heading',
        array(
            'settings'      => 'lz_fitness_support_npp_heading',
            'section'       => 'lz_fitness_support_section',
            'label'         => __( 'Number Of support Plans', 'supermarket-ecommerce' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_support_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
    'lz_fitness_support_npp_count',
    array(
        'settings'      => 'lz_fitness_support_npp_count',
        'section'       => 'lz_fitness_support_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'supermarket-ecommerce' ),
        'choices'=>array(1,2,3,4)
    )
);

//support PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_support_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_support_header'.$i,
            array(
                'settings'      => 'lz_fitness_support_header'.$i,
                'section'       => 'lz_fitness_support_section',
                'label'         => __( 'support Page ', 'supermarket-ecommerce' ).$i
            )
        )
    );

    
    $wp_customize->add_setting(
        'lz_fitness_support_page_icon'.$i,
        array(
            'default'           => 'fa fa-car',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'lz_fitness_support_page_icon'.$i,
            array(
                'settings'      => 'lz_fitness_support_page_icon'.$i,
                'section'       => 'lz_fitness_support_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'supermarket-ecommerce' ),
            )
        )
    ); 

    
    lzAddElement($wp_customize, 'lz_fitness_support_page_title_'.$i, 'lz_fitness_support_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='FREE SHIPPING');
  
 lzAddElement($wp_customize, 'lz_fitness_support_page_desc_'.$i, 'lz_fitness_support_section', $type = 'text', $label="Description", $callback ='lz_fitness_sanitize_text', $default='100% money back guarantee.');
 
    
}
 // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_support_HeadingColor', 'lz_fitness_support_section', 'Title Color', '#353849');
    // Description color
    addColorPalatOption($wp_customize, 'lz_fitness_support_DescriptionColor', 'lz_fitness_support_section', 'Description Color', '#424242');
     // Icon color
    addColorPalatOption($wp_customize, 'lz_fitness_support_IconColor', 'lz_fitness_support_section', 'Icon Color', '#353849');

      // Icon hover color
    addColorPalatOption($wp_customize, 'lz_fitness_support_IconhoverColor', 'lz_fitness_support_section', 'Icon hover Color', '#605ca8');

      // Border color
    addColorPalatOption($wp_customize, 'lz_fitness_support_borderColor', 'lz_fitness_support_section', 'Border Color', '#c4c4c4');

// End support section 